[blfs-dev] polkit

Jean-Philippe MENGUAL jmengual at linuxfromscratch.org
Sun Feb 24 05:12:47 PST 2013


Hmm so the same project says one thing and its opposed one. :) Well from my
experience, it's needed at build time anyway. I haven't found any option to
avoid it. Maybe it's possible via sed, but I don't think.

Regards,

On Sunday 24 Feb 2013 à 10:35:58 (+0100), Armin K. wrote:
> On 02/24/2013 03:21 AM, Jean-Philippe MENGUAL wrote:
> >
> > Hi,
> >
> > The book mentions, for polkit, that spidermonkey is required at runtime. In my
> > experience, spidermonkey is required too at build time. configure checks for
> > moz185, available only in spidermonkey. So we should add spidermonkey to required
> > deps, without mentioning runtime.
> >
> > Sincerely,
> >
> > JPM
> >
> 
> http://cgit.freedesktop.org/polkit/commit/?id=34cb6353b9affd6c04ea480df5fc39d0ca72319d
> 
> http://cgit.freedesktop.org/polkit/commit/?id=a6747362693a91f8cfa3bd5e619cf91e2e03941b
> 
> Even if configure still looks for it, these two commits say it's only 
> needed at runtime.
> 
> But then, there is this one
> 
> http://cgit.freedesktop.org/polkit/tree/configure.ac?id=34cb6353b9affd6c04ea480df5fc39d0ca72319d#n129
> 
> Which says we need it at build time. Grrr ....
> -- 
> http://linuxfromscratch.org/mailman/listinfo/blfs-dev
> FAQ: http://www.linuxfromscratch.org/blfs/faq.html
> Unsubscribe: See the above information page



More information about the blfs-dev mailing list